> ## Documentation Index
> Fetch the complete documentation index at: https://docs.manifestfinancial.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Connect Links

# Overview

[Connect](/platform/connect) Links allow your creators to activate the connection you've created for them, edit already activated connections, or accept new permissions for already activated connections.

Connect Links expire 10 minutes after creation, so you'd typically you'd create one in response to an authenticated user clicking to initiate Manifeste's *Connect* flow.

***

# Methods

<Tabs>
  <Tab title="Create">
    <Card icon="square-plus" iconType="solid" color="#86B74B">
      **`POST`  /connect-link**<br />
      Link your creators to Connect to activate their connection to you.
    </Card>

    ## Body Parameters

    <ParamField body="account_connection" type="string" required="true">
      ID of the account connection to be onboarded.
    </ParamField>

    <ParamField body="return_url" type="string">
      URL that will be redirected to after the flow finishes. See [Closing the Loop](/platform/connect/introduction#closing-the-loop) for more.

      If Connect detects that it is embedded into your application, this URL will be ignored. See [web](/platform/connect/web-embed) or [mobile](/platform/connect/app-embed) embedding for more.
    </ParamField>

    ## Example

    <CodeGroup>
      ```json Request theme={null}
      // POST /connect-link
      {
          "account_connection": "acon_XXXXX",
          "return_url": "https://yourapp.com/onboarding/complete"
      }
      ```

      ```json Response theme={null}
      {
          "url": "https://connect.manifestfinancial.com/cYnAmfVT6zk7kFXjxkYzHVyMMneZn0VpRek0",
          "created_at": "2024-01-23T22:39:30.779Z",
          "expires_at": "2024-01-23T22:49:30.778Z"
      }
      ```
    </CodeGroup>
  </Tab>
</Tabs>

***

# Properties

<ParamField path="url" type="string">
  URL that you should redirect your user to. You should open this URL during an authenticated session in your platform's application.
</ParamField>

<ParamField path="expires_at" type="date">
  Date this Connect link will automatically expire. (Set to 10 minutes after object is created.) Formatted as [ISO 8601 date/time string](https://www.w3.org/TR/NOTE-datetime).
</ParamField>
